API Documentation |
SearchableDataGrid

Package | ch.unil.cbg.ExpressionView.view.components
Class | public class SearchableDataGrid
Inheritance | SearchableDataGrid mx.containers.Canvas
Implements | flash.events.IEventDispatcher

Public Properties

| Property | Defined By
--- | --- | ---
|  | columns : Array | SearchableDataGrid
|  | dataProvider : Object [write-only] | SearchableDataGrid
|  | selectedIndices : Array [write-only] | SearchableDataGrid

Protected Properties

| Property | Defined By
--- | --- | ---
|  | searchField : TextInput | SearchableDataGrid

Public Methods

| Method | Defined By
--- | --- | ---
|  | SearchableDataGrid() | SearchableDataGrid

Protected Methods

| Method | Defined By
--- | --- | ---
|  | createChildren():void [override] | SearchableDataGrid
|  | updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void [override] | SearchableDataGrid

Events

| Event | Summary | Defined By
--- | --- | --- | ---
|  | ITEM_CLICK |  | SearchableDataGrid
|  | ITEM_DOUBLE_CLICK |  | SearchableDataGrid

Property Detail

columns | property

`columns:Array`

Implementation
`public function get columns():Array`
`public function set columns(value:Array):void`

dataProvider | property |

`dataProvider:Object` [write-only]

Implementation
`public function set dataProvider(value:Object):void`

searchField | property |

`protected var searchField:TextInput`

selectedIndices | property |

`selectedIndices:Array` [write-only]

Implementation
`public function set selectedIndices(value:Array):void`
Constructor Detail

SearchableDataGrid | () | Constructor

`public function SearchableDataGrid()`

Method Detail

createChildren | () | method

`override protected function createChildren():void`

updateDisplayList | () | method |

`override protected function updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void`

Parameters

| `unscaledWidth:Number`
| `unscaledHeight:Number`

Event Detail

ITEM_CLICK | Event

Event Object Type: `ch.unil.cbg.ExpressionView.events.SearchableDataGridSelectionEvent`

ITEM_DOUBLE_CLICK | Event |

Event Object Type: `ch.unil.cbg.ExpressionView.events.SearchableDataGridSelectionEvent`

Mon Oct 17 2011, 09:13 PM -04:00